Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.catalog.service.data
Interface EpmCustomDataManager

public interface EpmCustomDataManager
extends CatalogService

`CustomDataManager` service implementation. This implementation utilizes the `com.beasys.commerce.foundation.property.EntityPropertyManager` service to provide custom attribute support for Product Catalog items.

See Also:
  `EpmCustomDataManagerHome`, `EpmCustomDataManagerImpl`

Method Summary
`long` | `createUniqueId(CatalogRequest request, java.lang.String jndiHomeName, java.lang.String pkString)` Create a record for a new ConfigurableEntity, as identified by the given jndiHomeName and pkString.
`java.util.Map` | `getProperties(CatalogRequest request, CatalogItemKey itemKey)` Retrieve all the property values
`java.lang.Object` | `getProperty(CatalogRequest request, CatalogItemKey itemKey, java.lang.String namespace, java.lang.String key, java.lang.Object defaultValue)` Retrieve the value associated with the named key.
`java.lang.Object` | `getProperty(CatalogRequest request, CatalogItemKey itemKey, java.lang.String propertySetName, java.lang.String propertySetType, java.lang.String key, boolean returnDefault)` Retrieve the value associated with the named key.
`void` | `removeProperties(CatalogRequest request, CatalogItemKey itemKey)` Remove all the properties for an item
`java.lang.Object` | `removeProperty(CatalogRequest request, CatalogItemKey itemKey, java.lang.String namespace, java.lang.String key)` Remove the property associated with the named key.
`java.lang.Object` | `removeProperty(CatalogRequest request, CatalogItemKey itemKey, java.lang.String propertySetName, java.lang.String propertySetType, java.lang.String key)` Remove the property associated with the named key.
`void` | `setProperty(CatalogRequest request, CatalogItemKey itemKey, java.lang.String namespace, java.lang.String key, java.lang.Object value)` Associate the specified value with the named key.
`void` | `setProperty(CatalogRequest request, CatalogItemKey itemKey, java.lang.String propertySetName, java.lang.String propertySetType, java.lang.String key, java.lang.Object value)` Associate the specified value with the named key.

Methods inherited from interface com.beasys.commerce.ebusiness.catalog.service.CatalogService
`getCatalogManager`

Methods inherited from interface javax.ejb.EJBObject
`getEJBHome, getHandle, getPrimaryKey, isIdentical, remove`

Method Detail

### getProperty

    public java.lang.Object getProperty(CatalogRequest request,
                                        CatalogItemKey itemKey,
                                        java.lang.String namespace,
                                        java.lang.String key,
                                        java.lang.Object defaultValue)
                                 throws java.rmi.RemoteException,
                                        CatalogException

  Retrieve the value associated with the named key.

  Parameters:
    `request` - The catalog request.
    `itemKey` - The key of the target catalog item.
    `key` - The name of the property to retrieve.
    `defaultValue` - The value to return if that property is not set.
  Throws:
    CatalogException - on general error.

### getProperty

    public java.lang.Object getProperty(CatalogRequest request,
                                        CatalogItemKey itemKey,
                                        java.lang.String propertySetName,
                                        java.lang.String propertySetType,
                                        java.lang.String key,
                                        boolean returnDefault)
                                 throws CatalogException,
                                        java.rmi.RemoteException

  Retrieve the value associated with the named key.

  Parameters:
    `request` - The catalog request.
    `itemKey` - The key of the target catalog item.
    `key` - The name of the property to retrieve.
    `defaultValue` - The value to return if that property is not set.
  Throws:
    CatalogException - on general error.

### setProperty

    public void setProperty(CatalogRequest request,
                            CatalogItemKey itemKey,
                            java.lang.String namespace,
                            java.lang.String key,
                            java.lang.Object value)
                     throws java.rmi.RemoteException,
                            CatalogException

  Associate the specified value with the named key.

  Parameters:
    `request` - The catalog request.
    `itemKey` - The key of the target catalog item.
    `name` - The name to associate the value with.
    `value` - The value to associate with the name.
  Throws:
    CatalogException - on general error.

### setProperty

    public void setProperty(CatalogRequest request,
                            CatalogItemKey itemKey,
                            java.lang.String propertySetName,
                            java.lang.String propertySetType,
                            java.lang.String key,
                            java.lang.Object value)
                     throws java.rmi.RemoteException,
                            CatalogException

  Associate the specified value with the named key.

  Parameters:
    `request` - The catalog request.
    `itemKey` - The key of the target catalog item.
    `name` - The name to associate the value with.
    `value` - The value to associate with the name.
  Throws:
    CatalogException - on general error.

### getProperties

    public java.util.Map getProperties(CatalogRequest request,
                                       CatalogItemKey itemKey)
                                throws java.rmi.RemoteException,
                                       CatalogException

  Retrieve all the property values

  Parameters:
    `request` - The catalog request.
    `itemKey` - The key of the target catalog item.
    `key` - The name of the property to retrieve.
    `defaultValue` - The value to return if that property is not set.
  Throws:
    CatalogException - on general error.

### removeProperty

    public java.lang.Object removeProperty(CatalogRequest request,
                                           CatalogItemKey itemKey,
                                           java.lang.String namespace,
                                           java.lang.String key)
                                    throws java.rmi.RemoteException,
                                           CatalogException

  Remove the property associated with the named key.

  Parameters:
    `request` - The catalog request.
    `itemKey` - The key of the target catalog item.
    `key` - The name of the property to remove.
  Throws:
    CatalogException - on general error.

### removeProperty

    public java.lang.Object removeProperty(CatalogRequest request,
                                           CatalogItemKey itemKey,
                                           java.lang.String propertySetName,
                                           java.lang.String propertySetType,
                                           java.lang.String key)
                                    throws CatalogException,
                                           java.rmi.RemoteException

  Remove the property associated with the named key.

  Parameters:
    `request` - The catalog request.
    `itemKey` - The key of the target catalog item.
    `key` - The name of the property to remove.
  Throws:
    CatalogException - on general error.

### removeProperties

    public void removeProperties(CatalogRequest request,
                                 CatalogItemKey itemKey)
                          throws java.rmi.RemoteException,
                                 CatalogException

  Remove all the properties for an item

  Parameters:
    `request` - The catalog request.
    `itemKey` - The key of the target catalog item.
    `key` - The name of the property to remove.
  Throws:
    CatalogException - on general error.

### createUniqueId

    public long createUniqueId(CatalogRequest request,
                               java.lang.String jndiHomeName,
                               java.lang.String pkString)
                        throws java.rmi.RemoteException,
                               CatalogException

  Create a record for a new ConfigurableEntity, as identified by the given jndiHomeName and pkString.

  Parameters:
    `request` - The catalog request.
    `jndiHomeName` - the entity's home name
    `pkString` - the entity's identifier string
  Returns:
    the newly created entity id
  Throws:
    CatalogException - if there is an error

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved